Results 1 to 4 of 4
  1. #1
    Join Date
    Jun 2004
    Posts
    36
    Plugin Contributions
    0

    Default 1.2.6 to 1.3.6 database upgrade problem

    I have a live cart based on 1.2.6 (www.justgolfgifts.co.uk) but I have been unable to upgrade to 1.3.6. I have a local development environment and I’ve decided to keep it simple and not try and retain any old customisations – all I want to do is import my database into the new version, create a new custom template based on 1.3.6 and re-launch my site with a new look. However, I can’t import my data and I can’t find the answer in the forums. Help !.

    My installation approach is as follows :-

    1) Create a new database using phpMyAdmin

    2) Install 1.3.6 and select Install. I enter the new database under ‘Database Name’. I do not install the demonstration categories and products. At this point I have an empty database.

    3) Import the SQL backup of my live site using phpMyAdmin to the new database name. The query is successfully executed.

    4) Re run installation and select ‘Database Upgrade’. I am prompted to Upgrade DB from 1.2.4 to 1.2.5 through to 1.3.5 to 1.3.6 inclusive and I run these one at a time, to trap the errors. Results as follows, with messages shown :-

    Upgrade DB from 1.2.4 to 1.2.5
    SKIPPED: Cannot create table admin_activity_log because it already exists

    Upgrade DB from 1.2.5 to 1.2.6
    No message

    Upgrade DB from 1.2.6 to 1.2.7
    No message

    Upgrade DB from 1.2.7 to 1.3.0
    SKIPPED: Cannot create table ezpages because it already exists
    SKIPPED: Cannot create table meta_tags_categories_description because it already exists SKIPPED: Cannot drop index idx_categories_parent_id_zen on table categories because it does not exist.
    SKIPPED: Cannot drop index idx_customer_id_zen on table coupon_gv_customer because it does not exist.
    SKIPPED: Cannot drop index idx_paypal_paypal_ipn_id_zen on table paypal because it does not exist.
    SKIPPED: Cannot drop index idx_prod_opt_val_id_zen on table products_options_values because it does not exist.

    Upgrade DB from 1.3.0 to 1.3.0.1
    SKIPPED: Cannot insert configuration_group_title "EZ-Pages Settings" because it already exists SKIPPED: Cannot insert configuration_group_title "EZ-Pages Settings" because it already exists SKIPPED: Cannot insert configuration_group_title "EZ-Pages Settings" because it already exists SKIPPED: Cannot insert configuration_group_title "EZ-Pages Settings" because it already exists SKIPPED: Cannot insert configuration_group_title "EZ-Pages Settings" because it already exists SKIPPED: Cannot insert configuration_group_title "EZ-Pages Settings" because it already exists SKIPPED: Cannot insert configuration_group_title "EZ-Pages Settings" because it already exists SKIPPED: Cannot insert configuration_group_title "EZ-Pages Settings" because it already exists SKIPPED: Cannot insert configuration_group_title "EZ-Pages Settings" because it already exists SKIPPED: Cannot insert configuration_group_title "EZ-Pages Settings" because it already exists

    Upgrade DB from 1.3.0.1 to 1.3.0.2
    SKIPPED: Cannot insert configuration_key "UPLOAD_PREFIX" because it already exists SKIPPED: Cannot insert configuration_key "TEXT_PREFIX" because it already exists

    Upgrade DB from 1.3.0.2 to 1.3.5
    SKIPPED: Cannot drop index idx_auth_net_id on table authorizenet because it does not exist. SKIPPED: Cannot drop index idx_auth_net_id on table authorizenet because it does not exist. SKIPPED: Cannot drop index idx_auth_net_id on table authorizenet because it does not exist. SKIPPED: Cannot drop index idx_auth_net_id on table authorizenet because it does not exist.

    Upgrade DB from 1.3.5 to 1.3.6 takes me to the ‘Congratulations’ page.

    When I run zen cart 1.3.6 , I find no categories, products, customers – nothing.
    Unfortunately, I'm not a mysql dba and I can't figure out where I'm going wrong. Can anyone guide me please ?. Thanks in advance.

  2. #2
    Join Date
    Jan 2004
    Posts
    59,773
    Blog Entries
    4
    Plugin Contributions
    133

    Default Re: 1.2.6 to 1.3.6 database upgrade problem

    What is your DB_PREFIX setting in the configure.php files on your old site, vs the upgrade site ?
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donations always welcome: www.zen-cart.com/donate

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  3. #3
    Join Date
    Jun 2004
    Posts
    36
    Plugin Contributions
    0

    Default Re: 1.2.6 to 1.3.6 database upgrade problem

    The DB_PREFIX setting in the includes\configure.php files on the old site is :- ‘zen_’

    On the upgrade site it was :- ‘’, so I changed it to match in both the includes and admin area’s. Then I ran the cart and I had a different error :-

    1054 Unknown column 'startdate' in 'field list' in:[select startdate, counter, session_counter from zen_counter_history where startdate='20061109']

    I then thought I’d try to run through the database upgrade again, but this time making sure DB_PREFIX was set to ‘zen_’. HEY PRESTO !. That worked. Thanks for the help DrByte. I’ve been trying different ways to upgrade since 1.3.0.

  4. #4
    Join Date
    Sep 2006
    Posts
    15
    Plugin Contributions
    0

    Default Re: 1.2.6 to 1.3.6 database upgrade problem

    upgraduting problem, i using zencart version 1.3.0.2
    now, i want use fckeditor, but i see fckeditor only support version after 1.3.5
    so, if i still use version old v1.3.0.2, can i use fckeditor?
    please, anwser help me
    thanks
    buysz
    hkih

 

 

Similar Threads

  1. upgrade bugs?
    By randomronald in forum Upgrading from 1.3.x to 1.3.9
    Replies: 5
    Last Post: 19 Sep 2006, 02:25 PM
  2. upgrade cfg files or database upgrade???
    By waghelak in forum Upgrading from 1.3.x to 1.3.9
    Replies: 2
    Last Post: 11 Sep 2006, 02:28 PM
  3. Database appears blank after upgrade (but it's not)
    By gezzyka in forum Upgrading from 1.2 to 1.3.x
    Replies: 11
    Last Post: 17 Aug 2006, 10:59 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •